#### Previous topic

scipy.stats.rv_discrete.pmf

#### Next topic

scipy.stats.rv_discrete.cdf

# scipy.stats.rv_discrete.logpmf

`rv_discrete.``logpmf`(k, *args, **kwds)

  Log of the probability mass function at k of the given RV.

  Parameters:

  k : array_like

  > Quantiles.

  arg1, arg2, arg3,… : array_like

  > The shape parameter(s) for the distribution (see docstring of the instance object for more information).

  loc : array_like, optional

  > Location parameter. Default is 0.

  Returns:

  logpmf : array_like

  > Log of the probability mass function evaluated at k.